// Color for a Sense8 environment

// Written by Bernie Roehl, November 1996

package nff;

public class Color {
    public int red, green, blue;

    public String toString() {
        return red/255f + " " + green/255f + " " + blue/255f;
    }

    public Color() { red = green = blue = 0; }

    public Color(String s) {
        int color = Integer.parseInt(s.substring(2), 16);
        if (s.length() <= 5) {  // 12-bit value
             red = (color >> 4) & 0xF0;
             green = color & 0xF0;
             blue = (color << 4)  & 0xF0;
        }
        else {
             red = (color >> 16) & 0xFF;
             green = (color >> 8) & 0xFF;
             blue = color & 0xFF;
        }
    }

}
